from __future__ import absolute_import
from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals

import subprocess


SYSCTL_FAKE_KEY = 'somekey'
SYSCTL_FAKE_VALUE_SAME = 'somevalue'
SYSCTL_FAKE_VALUE_DIFFERENT = 'someothervalue'


def side_effect_interface_down(argument):
    if argument[0] == 'ifquery':
        raise subprocess.CalledProcessError(1, cmd=argument, output='')
    elif argument[0] == 'ifup':
        return 0  # should always return 0
    else:
        raise ValueError


def side_effect_interface_up(argument):
    if argument[0] == 'ifquery':
        pass
    elif argument[0] == 'ifup':
        return 0  # should always return 0
    else:
        raise ValueError
