# Amulet tests

## Running Amulet tests in LXC

If you choose to run Amulet tests with local LXC provider (which is the only
tested provider), you have to load `openvswitch` kernel module to the host
kernel.

```
$ modprobe openvswitch
```


## Running Amulet tests against enterprise version

If you choose to run Amulet tests against enterprise version of MidoNet, you
have to export two environment variables containing credentials to download the
software.

```
$ export MIDONET_ENTERPRISE_USERNAME="username_to_download_enterprise_version"
$ export MIDONET_ENTERPRISE_PASSWORD="password_to_download_enterprise_version"
```


## BGP routing uplink setup is not covered by Amulet tests

To setup a BGP routing uplink, you have to have an additional NIC on
midonet-gateway nodes which is not used by OS and MAC address of it needs to be
known to you before you start provisioning nodes.  Even though this usually is
the case who would plan to use this charm, Amulet tests cannot assume such an
environment to be available.  Therefore, Amulet tests are not covering BGP
routing uplink setup.  However, BGP routing uplink setup is tested by the charm
author.
