#!/usr/bin/env python

from __future__ import absolute_import
from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals

import os
import sys

sys.path.append(os.path.abspath(os.path.join(
    os.path.dirname(__file__), os.path.pardir,
)))

import lib.amulet.classic_static_deployment  # noqa pylint: disable=import-error


def main():
    return lib.amulet.classic_static_deployment.MidonetGatewayDeployment(
        series='trusty',
        openstack_release='kilo',
        midonet_flavor='enterprise',
        midonet_release='1.9',
    )


if __name__ == '__main__':
    main().run_tests()
